# List hotel types

This endpoint returns hotel types names and their translations. (EN is default)

Endpoint: GET /demand-api-v2-compatible/hotelTypes
Version: 1.2.2
Security: BearerAuth

## Query parameters:

  - `hotelTypeInputDTO` (object, required)

## Header parameters:

  - `Accept` (string)

## Response 200 fields (application/json):

  - `meta` (object)

  - `meta.ruid` (string)

  - `result` (array)

  - `result.translations` (array)

  - `result.translations.language` (string)

  - `result.translations.name` (string)

  - `result.name` (string)

  - `result.hotel_type_id` (integer)

## Response 400 fields (application/json):

  - `errors` (array)
    List of errors that occurred during request processing.

  - `errors.id` (string)
    Machine-readable error identifier.
    Example: invalid_parameter

  - `errors.name` (string)
    Human-readable error name.
    Example: Invalid Value

  - `errors.message` (string)
    Detailed error message explaining what went wrong.
    Example: The request contains an invalid parameter.

  - `meta` (object)

  - `meta.ruid` (string)

  - `meta.account_id` (string)
    Account ID that triggered request, useful for debugging and support.
    Example: 123432

## Response 500 fields (application/json):

  - `errors` (array)
    List of errors that occurred during request processing.

  - `errors.id` (string)
    Machine-readable error identifier.
    Example: invalid_parameter

  - `errors.name` (string)
    Human-readable error name.
    Example: Invalid Value

  - `errors.message` (string)
    Detailed error message explaining what went wrong.
    Example: The request contains an invalid parameter.

  - `meta` (object)

  - `meta.ruid` (string)

  - `meta.account_id` (string)
    Account ID that triggered request, useful for debugging and support.
    Example: 123432

